{*
* Chat Data Webhook Module
*
* @author    Chat Data
* @copyright Copyright (c) Chat Data
* @license   Commercial License
*}

<div class="alert alert-info" data-tpl="config_info">
    <p>{l s='Current Secret Key (used to verify webhook authenticity): ' mod='chatdatawebhook'} 
    <code>{$webhook_secret|escape:'htmlall':'UTF-8'}</code></p>
    
    <p>{l s='This key is sent in the X-PrestaShop-Webhook-Signature header as a base64-encoded HMAC SHA-256 signature. Use it to verify the webhook source.' mod='chatdatawebhook'}</p>
    <p>{l s='The webhook body contains only the product data.' mod='chatdatawebhook'}</p>
    <p>{l s='Headers used:' mod='chatdatawebhook'}</p>
    <ul>
        <li><strong>X-PrestaShop-Webhook-Topic</strong>: {l s='The event type (product.created, product.updated, product.deleted)' mod='chatdatawebhook'}</li>
        <li><strong>X-PrestaShop-Webhook-Signature</strong>: {l s='Base64-encoded HMAC SHA-256 signature of the request body' mod='chatdatawebhook'}</li>
        <li><strong>X-PrestaShop-Shop-Url</strong>: {l s='URL of your PrestaShop store' mod='chatdatawebhook'}</li>
        <li><strong>X-PrestaShop-Timestamp</strong>: {l s='ISO 8601 timestamp of when the webhook was sent' mod='chatdatawebhook'}</li>
        <li><strong>X-PrestaShop-Test-Mode</strong>: {l s='Present only for test webhooks sent from the module configuration page' mod='chatdatawebhook'}</li>
    </ul>
    <p>{l s='For Node.js verification, use:' mod='chatdatawebhook'}</p>
    <pre>const signature = req.headers['x-prestashop-webhook-signature'];
const hmac = crypto.createHmac('sha256', secret).update(JSON.stringify(req.body)).digest('base64');
const isValid = signature === hmac;</pre>
</div> 