
{*
* Chat Data Webhook Module
*
* @author    Chat Data
* @copyright Copyright (c) Chat Data
* @license   Commercial License
*}

<div class="panel">
    <div class="panel-heading">
        <i class="icon-cogs"></i> {l s='Test Webhook' mod='chatdatawebhook'}
    </div>
    <div class="alert alert-info">
        {l s='Use this form to manually test your webhook connection to Chat Data platform with a sample payload.' mod='chatdatawebhook'}
    </div>
    <form method="post" class="form-horizontal">
        <div class="form-group">
            <label class="control-label col-lg-3">{l s='Product ID to test' mod='chatdatawebhook'}</label>
            <div class="col-lg-9">
                <input type="text" name="test_product_id" class="form-control" value="{$test_product_id|escape:'html':'UTF-8'}" required />
                <p class="help-block">{l s='Enter a valid product ID from your catalog' mod='chatdatawebhook'}</p>
            </div>
        </div>
        <div class="form-group">
            <label class="control-label col-lg-3">{l s='Event Type' mod='chatdatawebhook'}</label>
            <div class="col-lg-9">
                <select name="test_event_type" class="form-control">
                    <option value="product.created" {if $test_event_type == 'product.created'}selected{/if}>{l s='Product Created' mod='chatdatawebhook'}</option>
                    <option value="product.updated" {if $test_event_type == 'product.updated' || !$test_event_type}selected{/if}>{l s='Product Updated' mod='chatdatawebhook'}</option>
                    <option value="product.deleted" {if $test_event_type == 'product.deleted'}selected{/if}>{l s='Product Deleted' mod='chatdatawebhook'}</option>
                </select>
            </div>
        </div>
        <div class="panel-footer">
            <button type="submit" class="btn btn-default pull-right" name="submitTestWebhook">
                <i class="process-icon-cogs"></i> {l s='Send Test Webhook' mod='chatdatawebhook'}
            </button>
        </div>
    </form>
</div>

{if isset($webhook_test_result)}
    {if $webhook_test_result.success}
        <div class="alert alert-success">
            <p>{l s='Test webhook sent successfully to Chat Data!' mod='chatdatawebhook'}</p>
            <p><strong>{l s='HTTP Status:' mod='chatdatawebhook'}</strong> {$webhook_test_result.http_code|escape:'htmlall':'UTF-8'}</p>
            <p><strong>{l s='Response:' mod='chatdatawebhook'}</strong> {$webhook_test_result.response|escape:'html':'UTF-8'}</p>
        </div>
    {else}
        <div class="alert alert-danger">
            <p>{l s='Failed to send test webhook to Chat Data.' mod='chatdatawebhook'}</p>
            <p><strong>{l s='Error:' mod='chatdatawebhook'}</strong> {$webhook_test_result.error|escape:'html':'UTF-8'}</p>
            {if isset($webhook_test_result.http_code)}
                <p><strong>{l s='HTTP Status:' mod='chatdatawebhook'}</strong> {$webhook_test_result.http_code|escape:'htmlall':'UTF-8'}</p>
            {/if}
            {if isset($webhook_test_result.response)}
                <p><strong>{l s='Response:' mod='chatdatawebhook'}</strong> {$webhook_test_result.response|escape:'html':'UTF-8'}</p>
            {/if}
        </div>
    {/if}
{/if}

{if !$webhook_url}
    <div class="alert alert-warning">
        {l s='You need to configure the webhook URL before testing. Get your unique webhook URL from your Chat Data dashboard.' mod='chatdatawebhook'}
        <p><a href="https://cookbook.chat-data.com/docs/chatbots-real-time-products-update#prestashop-webhook-synchronization-integration" target="_blank">{l s='View documentation' mod='chatdatawebhook'}</a></p>
    </div>
{/if} 